Subject: [alpine-devel] heads up: linux-vanilla now ships vmlinuz-vanilla instead of vmlinuz

From: William Pitcock <[email-masked]>
Date: Thu, 11 Jan 2018 16:41:59 -0600

Hello,

As part of the work to introduce a -virt variant for the vanilla
kernels, we imported the changes to the linux-hardened APKBUILD that
allowed for building kernel packages with multiple variants.

Accordingly, the linux-vanilla kernel filename starting with
linux-vanilla 4.14.13-r2 and later is vmlinuz-vanilla instead of just
vmlinuz.

We also normalized the localversion tag, so vanilla kernels behave
like other kernel packages.  Specifically, the localversion tag for
linux-vanilla 4.14.13-r2 is 4.14.13-2-vanilla as would be expected.

The linux-virt variant behaves as expected in this regard.

William

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---